ldns documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
ldns_struct_rr_descriptor Struct Reference

Contains all information about resource record types. More...

## Data Fields
ldns_rr_type | _type
| Type of the RR that is described here. More...
const char * | _name
| Textual name of the RR type. More...
uint8_t | _minimum
| Minimum number of rdata fields in the RRs of this type. More...
uint8_t | _maximum
| Maximum number of rdata fields in the RRs of this type. More...
const ldns_rdf_type * | _wireformat
| Wireformat specification for the rr, i.e. More...
ldns_rdf_type | _variable
| Special rdf types. More...
ldns_rr_compress | _compress
| Specifies whether compression can be used for dnames in this RR type. More...
uint8_t | _dname_count
| The number of DNAMEs in the _wireformat string, for parsing. More...

## Detailed Description

Contains all information about resource record types.

This structure contains, for all rr types, the rdata fields that are defined.

Definition at line 340 of file rr.h.

## Field Documentation

ldns_rr_type ldns_struct_rr_descriptor::_type

Type of the RR that is described here.

Definition at line 343 of file rr.h.

const char* ldns_struct_rr_descriptor::_name

Textual name of the RR type.

Definition at line 345 of file rr.h.

uint8_t ldns_struct_rr_descriptor::_minimum

Minimum number of rdata fields in the RRs of this type.

Definition at line 347 of file rr.h.

uint8_t ldns_struct_rr_descriptor::_maximum

Maximum number of rdata fields in the RRs of this type.

Definition at line 349 of file rr.h.

const ldns_rdf_type* ldns_struct_rr_descriptor::_wireformat

Wireformat specification for the rr, i.e.

the types of rdata fields in their respective order.

Definition at line 351 of file rr.h.

ldns_rdf_type ldns_struct_rr_descriptor::_variable

Special rdf types.

Definition at line 353 of file rr.h.

ldns_rr_compress ldns_struct_rr_descriptor::_compress

Specifies whether compression can be used for dnames in this RR type.

Definition at line 355 of file rr.h.

uint8_t ldns_struct_rr_descriptor::_dname_count

The number of DNAMEs in the _wireformat string, for parsing.

Definition at line 357 of file rr.h.